import { createApp } from 'vue';
import {createPinia} from 'pinia';
import VueCookies from 'vue3-cookies'
import Vant from 'vant';
import App from './App.vue';
import router from './router';

import 'vant/lib/index.css';
import '@/assets/styles/index.scss';

import './permission.js';

const app = createApp(App);

app.use(createPinia());
app.use(router);
app.use(VueCookies);
app.use(Vant);
// Lazyload 指令需要单独进行注册
// app.use(Vant.Lazyload);

app.mount('#app');
